<?php
// Основные настройки параметров автобана
echo "<div class='title'>Настройки автобана</div>";
if(file_exists(H."/#adm/#ipab/incsetup.dat"))
{
include_once H."/#adm/#ipab/incsetup.dat";
}else{
echo "<div class='err'>Файл настроек не обнаружен!</div>";
$ap_time_interval=10;   //  Интервал времени подсчета
$ap_count_get=10;       //  Количество запросов за интервал времени
$ap_time_autoban=86400; //  Время бана
}
if(isset($_POST['ap_time_interval']) and isset($_POST['ap_count_get']) and isset($_POST['ap_time_autoban']))
{
header("Refresh: 3; url=?l=ipautoban&a=setup");
$ap_time_interval=abs(intval($_POST['ap_time_interval'])); // abs(intval());
$ap_count_get=abs(intval($_POST['ap_count_get']));
$ap_time_autoban=abs(intval($_POST['ap_time_autoban']));
$put_file_dat="";
$put_file_dat.="<?php\n";
$put_file_dat.="\$ap_time_interval=$ap_time_interval;\n";
$put_file_dat.="\$ap_count_get=$ap_count_get;\n";
$put_file_dat.="\$ap_time_autoban=$ap_time_autoban;\n";
$put_file_dat.="?>";
  if(file_put_contents(H."/#adm/#ipab/incsetup.dat", $put_file_dat))
  {
  echo "<div class='msg'>Настройки успешно сохранены!</div>";
  }else{
  echo "<div class='err'>Не удалось сохранить настройки! Проверьте права на запись файла <b>incsetup.dat</b>!</div>";
  }
#echo 
}else{
echo "<form action='' method='post'>";
echo "Интервал времени подсчета<br />";
echo "<input type='text' name='ap_time_interval' value='$ap_time_interval' /><br />";
echo "Количество запросов за интервал времени<br />";
echo "<input type='text' name='ap_count_get' value='$ap_count_get' /><br />";
echo "Время бана в секундах<br />";
echo "<input type='text' name='ap_time_autoban' value='$ap_time_autoban' /><br />";
echo "<input type='submit' name='' value='сохранить' />";
echo "</form>";
  if(file_exists(H."/#adm/#ipab/inttime.dat"))
  {
  echo "<div class='p_m'>";
  include_once H."/#adm/#ipab/inttime.dat";
  echo "</div>";
  }
}
?>